<?php
require'f_grup.php';
$titlu='Adaugă grup';
require'f_sus.php';
require'f_mut.php';
$clnm=$_POST['clnm'];
$clds=$_POST['clds'];
$clrl=$_POST['clrl'];
require'f_blocat.php';
if(blocat($clnm))
{
$tip='text nume grup';
$text=$clnm;
require'f_ban.php';
}
elseif(blocat($clds))
{
$tip='text descriere grup';
$text=$clds;
require'f_ban.php';
}
elseif(blocat($clrl))
{
$tip='text reguli grup';
$text=$clrl;
require'f_ban.php';
}
elseif($conn->query('SELECT`lei`FROM`membrii`WHERE`id`="'.$de.'"')->fetch_row()[0]<$lei['grup'])
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Nu poți adauga grup, deoarece ai nevoie de '.$lei['grup'].' lei!<br /><a href="/informatii-lei">'.img('banca.gif',1).'<span style="color:red">Informații despre acumularea și consumul de lei</span></a>';
elseif($conn->query('SELECT COUNT(*)FROM`grupuri`WHERE`de`="'.$de.'"')->fetch_row()[0]>3)
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Ai trei grupuri!';
elseif(($clnm=='')||($clds=='')||($clrl==''))
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Completeaza cu atenție toate campurile necesare!';
elseif($conn->query('SELECT COUNT(*)FROM`grupuri`WHERE`nume`="'.$clnm.'"')->fetch_row()[0]>0)
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Este un grup cu acest nume!';
elseif($conn->query('INSERT INTO`grupuri`SET`nume`="'.$clnm.'",`de`="'.$de.'",`descriere`="'.$clds.'",`reguli`="'.$clrl.'",`data`="'.$_SERVER['REQUEST_TIME'].'"'))
{
$pid=$conn->insert_id;
$conn->query('INSERT INTO`evenimente`SET`text`="a adăugat grupul [url=/grup/id/'.$pid.'-'.seo($clnm).']'.$clnm.'[/url]",`de`="'.$de.'",`data`="'.$_SERVER['REQUEST_TIME'].'",`tip`="1"');
$conn->query('UPDATE`membrii`SET`lei`=lei-'.$lei['grup'].' WHERE`id`="'.$de.'"');
echo$div[4].'<img src="'.$domenii_statice[1].'actiune_check.png" alt="" width="16" height="16" />Succes!'.$div[5].$div[6].'Grupul <a href="/grup/id/'.$pid.'-'.seo($clnm).'">'.htmlspecialchars($clnm).'</a> a fost creat, iar din contul tau a fost retrasa suma de '.$lei['grup'].' lei!';
$conn->query('INSERT INTO`grup_membrii`SET`de`="'.$de.'",`cid`="'.$pid.'",`citit`="'.$_SERVER['REQUEST_TIME'].'",`data`="'.$_SERVER['REQUEST_TIME'].'"');
$conn->query('INSERT INTO`forum_forumuri`SET`nume`="'.$clnm.'",`pozitie`="0",`cid`="0",`clid`="'.$pid.'"');
$conn->query('INSERT INTO`chat_camere`SET`nume`="'.$clnm.'",`parola`="",`static`="1",`data`="'.$_SERVER['REQUEST_TIME'].'",`activitate`="'.$_SERVER['REQUEST_TIME'].'",`clid`="'.$pid.'"');
}
else
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7];
echo$div[0];
require'f_jos.php';